[tool.poetry]
name = "foss-cloud"
version = "0.1.0"
description = ""
authors = ["Clay Risser <clayrisser@gmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
aiodocker = "^0.21.0"
docker = "^6.1.3"
fastapi-jwt-auth = "^0.5.0"
passlib = "^1.7.4"
pathlib = "^1.0.1"
pydantic = "^1.10.12"
python = "^3.8.1"
sh = "^1.14.1"
sqlalchemy = "^2.0.20"
sse-starlette = "^1.6.5"
uvicorn = "^0.23.2"
pyyaml = "^6.0.1"
aiostream = "^0.4.5"
alembic = "^1.11.3"
python-multipart = "^0.0.6"
fastapi = "^0.103.1"
black = "^23.7.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
